Debian Bug report logs - #344563
nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.

version graph

Package: nscd; Maintainer for nscd is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for nscd is src:eglibc.

Reported by: ms419@freezone.co.uk

Date: Fri, 23 Dec 2005 20:03:36 UTC

Severity: important

Found in versions nscd/2.3.6-3, glibc/2.3.6.ds1-13etch2, glibc/2.3.6.ds1-13etch7, glibc/2.3.5-9

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: submit@bugs.debian.org
Subject: nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
Date: Fri, 23 Dec 2005 11:51:35 -0800
[Message part 1 (text/plain, inline)]
Package: nscd
Version: 2.3.5-9
Severity: important

nscd won't stay running - at least on my powerpc machine

nscd consistently terminates almost as soon as it's started

I got this error using the debug option -


fis:~# nscd -d
24423: Reloading "0" in password cache!
nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
Aborted
fis:~# 


Many thanks for maintaining glibc!

Jack
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 344563@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: Tom Albers <toma@kovoks.nl>, 344563@bugs.debian.org
Subject: sort of solved the same problem
Date: Thu, 29 Dec 2005 23:15:05 +0100
[Message part 1 (text/plain, inline)]
Hi,

I noticed nscd was not running on my machine either (after upgrade from
sarge to etch), and when I started it manually I got the same error. 
After I deleted the deleted the databases in /var/db/nscd/ and started
nscd the problem was gone.

	Greetings Arjan Oosting
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Tom Albers <toma@kovoks.nl>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 344563@bugs.debian.org (full text, mbox):

From: Tom Albers <toma@kovoks.nl>
To: 344563@bugs.debian.org
Subject: nscd will not keep on running
Date: Mon, 23 Jan 2006 17:15:41 +0100
Now with another customer, I spend again a whole day on nscd which will not 
keep on running. In debugging mode the error is:

"nscd: cache.c:144: cache_add: Assertion `newp->key + newp->len <= 
table->head->first_free' failed."

Removing the databases in /var/db/nscd/ resolved the problem. 

The database locations are not documented, nor is there any other usefull 
documentation on nscd.





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Thibaut VARENE <varenet@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 344563@bugs.debian.org (full text, mbox):

From: Thibaut VARENE <varenet@debian.org>
To: Debian Bug Tracking System <344563@bugs.debian.org>
Subject: nscd fails to start, assertion 'dh->usable' failed
Date: Sun, 09 Apr 2006 12:26:55 +0200
Package: nscd
Version: 2.3.6-3
Followup-For: Bug #344563

this bug is still there. I'm quite surprised as ISTR that I had previous
version of nscd running fine on that box. I may be wrong tho.

Here's the debug output:
# nscd -d
7688: Reloading "oident" in group cache!
7688: Reloading "newsrss.bbc.co.uk" in hosts cache!
7688: Reloading "0" in password cache!
7688: Reloading "tty" in group cache!
7688: Reloading "gdm" in group cache!
7688: Reloading "0" in password cache!
7688: Reloading "lp" in password cache!
7688: Reloading "1" in password cache!
7688: Reloading "110" in password cache!
7688: Reloading "ftp.de.debian.org" in hosts cache!
7688: Reloading "112" in password cache!
7688: Reloading "104" in password cache!
nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
Aborted

HTH

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (90, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-ck1-tbone
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages nscd depends on:
ii  libc6                         2.3.6-3    GNU C Library: Shared libraries an

nscd recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 344563@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@cs.msu.su>
To: 344563@bugs.debian.org
Subject: Easy fix ?
Date: Thu, 27 Apr 2006 11:42:12 +0400
> Removing the databases in /var/db/nscd/ resolved the problem. 

So why not just remove old files on nscd package upgrade?..



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to "Thibaut VARENE" <varenet@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 344563@bugs.debian.org (full text, mbox):

From: "Thibaut VARENE" <varenet@debian.org>
To: 344563@bugs.debian.org
Subject: Removing files doesn't fix it
Date: Tue, 16 May 2006 17:02:13 +0200
I tried removing the db files, but it doesn't solve the issue. nscd
starts, but after a while it dies anyway. No message in the logs...

I'm running 2.3.6-7

HTH

T-Bone

-- 
Thibaut VARENE
http://www.parisc-linux.org/~varenet/



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Fabian Knittel <fabian.knittel@avona.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 344563@bugs.debian.org (full text, mbox):

From: Fabian Knittel <fabian.knittel@avona.com>
To: 344563@bugs.debian.org
Subject: Re: Easy fix ?
Date: Sun, 11 Jun 2006 01:15:19 +0200
[Message part 1 (text/plain, inline)]
[ Sorry, Nikita, private mail was unintentional. ]

Hi,

On Thu, Apr 27, 2006 at 11:42:12AM +0400, Nikita V. Youshchenko wrote:
> > Removing the databases in /var/db/nscd/ resolved the problem. 
> 
> So why not just remove old files on nscd package upgrade?..

Deleting the corrupted cache only temporarily fixes the problem.
Unfortunately nscd currently crashes (or exits unexpectedly - we've
never actually  seen it happen "live") in annoyingly regular intervals
and always leaves it's cache in an inconsistent state.

Greetings, Fabian
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Jim Barber <jim.barber@ddihealth.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 344563@bugs.debian.org (full text, mbox):

From: Jim Barber <jim.barber@ddihealth.com>
To: 344563@bugs.debian.org
Subject: nscd still crashing at version 2.3.6.ds1-13
Date: Thu, 22 Mar 2007 11:30:41 +0900
I have a system where the nscd daemon constantly crashes too.
nscd, libc6, locales, etc is at  version 2.3.6.ds1-13

I've tried  commenting out the user and group caching settings in the /etc/nscd.conf file hoping to avoid the crashes since I only need it to cache host lookups.
This made no difference.
Nor does leaving the entries there and just changing the value of 'enable-cache' for the passwd and group entries to 'no'.

Starting nscd with the -d parameter it starts and runs for about 20 seconds before failing with:

	nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
	Aborted

This error usually happens after entries like:

	27822: Reloading "250.186.184.59.sbl-xbl.spamhaus.org." in hosts cache!
	27822: Reloading "164.152.206.86.sbl-xbl.spamhaus.org." in hosts cache!

Clearing the databases like so:

	nscd -i hosts
	nscd -i passwd
	nscd -i group
Doesn't seem to help either.

I then got rid of the following files by moving them elsewhere:

	/var/db/nscd/group
	/var/db/nscd/hosts
	/var/db/nscd/passwd

This seems to at least get things working for a while, but eventually the nscd daemon falls over again.

Regards,

-- 
----------
Jim Barber
DDI Health




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 344563@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Jim Barber <jim.barber@ddihealth.com>, 344563@bugs.debian.org
Subject: Re: Bug#344563: nscd still crashing at version 2.3.6.ds1-13
Date: Thu, 22 Mar 2007 10:54:57 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 22, 2007 at 11:30:41AM +0900, Jim Barber wrote:
> I have a system where the nscd daemon constantly crashes too.
> nscd, libc6, locales, etc is at  version 2.3.6.ds1-13
> 
> I've tried  commenting out the user and group caching settings in the 
> /etc/nscd.conf file hoping to avoid the crashes since I only need it to 
> cache host lookups.
> This made no difference.
> Nor does leaving the entries there and just changing the value of 
> 'enable-cache' for the passwd and group entries to 'no'.
> 
> Starting nscd with the -d parameter it starts and runs for about 20 
> seconds before failing with:
> 
> 	nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
> 	Aborted
> 
> This error usually happens after entries like:
> 
> 	27822: Reloading "250.186.184.59.sbl-xbl.spamhaus.org." in hosts cache!
> 	27822: Reloading "164.152.206.86.sbl-xbl.spamhaus.org." in hosts cache!
> 
> Clearing the databases like so:
> 
> 	nscd -i hosts
> 	nscd -i passwd
> 	nscd -i group
> Doesn't seem to help either.
> 
> I then got rid of the following files by moving them elsewhere:
> 
> 	/var/db/nscd/group
> 	/var/db/nscd/hosts
> 	/var/db/nscd/passwd
> 
> This seems to at least get things working for a while, but eventually the 
> nscd daemon falls over again.
> 

  A backtrace would really be of help. Please install the -dbg package
for the libc, and try to have one so that we can know which codepath
generates the issue.

  Also be warned that hosts caching in nscd sucks, it's not really built
to deal with DNS caching that other tools like dnsmasq or even bind
really deal with better.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Pierre HABOUZIT <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 344563@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: Jim Barber <jim.barber@ddihealth.com>, 344563@bugs.debian.org, Thibaut VARENE <varenet@debian.org>
Subject: Re: Bug#344563: nscd still crashing at version 2.3.6.ds1-13
Date: Wed, 25 Apr 2007 21:20:00 +0200
[Message part 1 (text/plain, inline)]
  Does nscd from libc 2.5 fixes the problem ?

On Thu, Mar 22, 2007 at 11:30:41AM +0900, Jim Barber wrote:
> I have a system where the nscd daemon constantly crashes too.
> nscd, libc6, locales, etc is at  version 2.3.6.ds1-13
> 
> I've tried  commenting out the user and group caching settings in the 
> /etc/nscd.conf file hoping to avoid the crashes since I only need it to 
> cache host lookups.
> This made no difference.
> Nor does leaving the entries there and just changing the value of 
> 'enable-cache' for the passwd and group entries to 'no'.
> 
> Starting nscd with the -d parameter it starts and runs for about 20 
> seconds before failing with:
> 
> 	nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
> 	Aborted
> 
> This error usually happens after entries like:
> 
> 	27822: Reloading "250.186.184.59.sbl-xbl.spamhaus.org." in hosts cache!
> 	27822: Reloading "164.152.206.86.sbl-xbl.spamhaus.org." in hosts cache!
> 
> Clearing the databases like so:
> 
> 	nscd -i hosts
> 	nscd -i passwd
> 	nscd -i group
> Doesn't seem to help either.
> 
> I then got rid of the following files by moving them elsewhere:
> 
> 	/var/db/nscd/group
> 	/var/db/nscd/hosts
> 	/var/db/nscd/passwd
> 
> This seems to at least get things working for a while, but eventually the 
> nscd daemon falls over again.
> 
> Regards,
> 
> -- 
> ----------
> Jim Barber
> DDI Health
> 
> 
> 

On Sun, Apr 09, 2006 at 12:26:55PM +0200, Thibaut VARENE wrote:
> Package: nscd
> Version: 2.3.6-3
> Followup-For: Bug #344563
> 
> this bug is still there. I'm quite surprised as ISTR that I had previous
> version of nscd running fine on that box. I may be wrong tho.
> 
> Here's the debug output:
> # nscd -d
> 7688: Reloading "oident" in group cache!
> 7688: Reloading "newsrss.bbc.co.uk" in hosts cache!
> 7688: Reloading "0" in password cache!
> 7688: Reloading "tty" in group cache!
> 7688: Reloading "gdm" in group cache!
> 7688: Reloading "0" in password cache!
> 7688: Reloading "lp" in password cache!
> 7688: Reloading "1" in password cache!
> 7688: Reloading "110" in password cache!
> 7688: Reloading "ftp.de.debian.org" in hosts cache!
> 7688: Reloading "112" in password cache!
> 7688: Reloading "104" in password cache!
> nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
> Aborted
> 
> HTH
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers testing
>   APT policy: (990, 'testing'), (90, 'unstable')
> Architecture: powerpc (ppc)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.15-ck1-tbone
> Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
> 
> Versions of packages nscd depends on:
> ii  libc6                         2.3.6-3    GNU C Library: Shared libraries an
> 
> nscd recommends no packages.
> 
> -- no debconf information
> 
> 


-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 344563@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: 344563@bugs.debian.org
Subject: I can report the same problem
Date: Tue, 7 Aug 2007 21:37:03 +0200
Hi

I have the same problem om etch installation and i686.

nscd 2.3.6.ds1-13

Removing the files in /var/db/nscd/ solved the problem, at
least temporarily. I think it would be good if it either removes
these files on this failure, or that it tries to recover from
the situation instead of just dying.

Regards,

// Ola

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@opalsys.net                     654 65 KARLSTAD          |
|  http://opalsys.net/                 +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to IOhannes m zmoelnig <zmoelnig@iem.at>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 344563@bugs.debian.org (full text, mbox):

From: IOhannes m zmoelnig <zmoelnig@iem.at>
To: Debian Bug Tracking System <344563@bugs.debian.org>
Subject: nscd: confirmed
Date: Wed, 21 Nov 2007 08:54:02 +0100
Package: nscd
Version: 2.3.6.ds1-13etch2
Followup-For: Bug #344563


well yes: the "nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed."
bug still exists on current etch.

actually it just re-occured; i haven't experienced it for a while.
the only notable change on my side was that i did a security-upgrade the day
before yesterday, which - according to the logs - included perl and horde3.
so i don't think this is related.

deleting the db-files in /var/db/nscd/ seems to have solved the problem.

btw, this is the last request that was made when running "nscd -d" before it crashed:
29453: Reloading "10001243920.0000020425.acesso.oni.pt" in hosts cache!
nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed.
Aborted

it crashed 2 times in a row just after this request.
then i deleted the db-files and the problem was gone.

so i guess the db-file was corrupted just at the mentioned host-entry.

mfgas.dr
IOhannes




-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)

Versions of packages nscd depends on:
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries

nscd recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#344563; Package nscd. Full text and rfc822 format available.

Acknowledgement sent to Hermann Lauer <Hermann.Lauer@iwr.uni-heidelberg.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 344563@bugs.debian.org (full text, mbox):

From: Hermann Lauer <Hermann.Lauer@iwr.uni-heidelberg.de>
To: Debian Bug Tracking System <344563@bugs.debian.org>
Subject: nscd disk cache corrupted again
Date: Wed, 03 Sep 2008 16:34:59 +0200
Package: nscd
Version: 2.3.6.ds1-13etch7
Followup-For: Bug #344563

today I noticed a failure of nscd, restarting in debug mode
yields to the famous "nscd: cache.c:335: prune_cache: Assertion `dh->usable' failed."
Cleaning the cache files in /var/db/nscd helped for the moment. So yes,
this bug is still in the latest etch update.

Btw., Bug#443475 and Bug#424723 are probably duplicates of this.

Greetings
  Hermann

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages nscd depends on:
ii  libc6                  2.3.6.ds1-13etch7 GNU C Library: Shared libraries

nscd recommends no packages.

-- no debconf information




Bug no longer marked as found in version 2.3.5-9. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 02 Jan 2009 17:21:08 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.3.5-9. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 02 Jan 2009 17:21:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:42:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.